#include "common.h"
#include "userdefine.h"
#include "sys_scheduler.h"
#include "wdt.h"
#include "gpio.h"
#include "PowerManagement_user.h"
#include "Common_Interface.h"
#include "timerA_B_C.h"



extern void Power_Sleep_Init(void);
extern void Sys_Enter_Sleep_Mode(void);
extern void Power_Wakeup_Init ( void );

int main(void)
{
#if HAS_BOOTLOADER
    __disable_irq();   
	  SCB->VTOR = APP_BASE; 
    __DMB(); 
    __enable_irq();  
#endif

	Sys_Init();
    while (1U)
    {
        Sys_Scheduling_Service();
        WDT_Restart();
    }
}

